
#ifndef ___OS_DEBUG_H
#define ___OS_DEBUG_H

#include <stdarg.h>

#ifdef ___DEBUG

//#define DBFPRINTF_MACRO
#define DBFPRINTF_FUNCTION


#ifdef DBFPRINTF_MACRO
/* Use the macro version */
#include <stdio.h>

#define dbfprintf(fp, ...) fprintf(fp, __VA_ARGS__)

#endif


#ifdef DBFPRINTF_FUNCTION
/* Use the function version */

#include <stdio.h>
extern int dbfprintf(FILE * fp, const char *fmt,...);
extern void (*dbfprintfCallback)();
#endif


#else /* ___DEBUG */

#define dbfprintf(fp, ...) ;

#endif /* ___DEBUG */
#endif /* ___OS_DEBUG_H */
