
#define ___VERSION 400000
#include "gambit.h"

#include "os_debug.h"

#ifdef DBFPRINTF_FUNCTION
void (*dbfprintfCallback)() = NULL;

int
dbfprintf(FILE * fp, const char *fmt,...)
{
  int ret;
  va_list ap, ap2;

  if (fp == NULL) {
    fp = stderr;
  }

  if (dbfprintfCallback != NULL) {
    dbfprintfCallback();
  }

  va_start (ap, fmt);
 
#if 1
  va_copy (ap2, ap);
  ret = vfprintf (fp, fmt, ap2);
  va_end (ap2);
#endif

#if 0
  ret = vfprintf(stderr, fmt, ap);
#endif

  va_end (ap);

  return ret;
}
#endif
